Firmware 1.3.3

Issue #2357 closed
Rodolpho Krampe created an issue

Good evening. This week I bought a Canon 5D Mark III . The 5DM3 came with firmware 1.3.3 , can i use the magic lantern with this firmware? Thanks.

Comments (5)

  1. Knight Light Imagery

    Is there going to be a 1.3.3 update in the near future? I ran into the same issue, bought a 5d that had it already installed

  2. Walter Schulz

    Downgrade to 1.2.3 using EOS Utility 2.x included in EOS Digital Solution Disk 29.1A (or older).

  3. Log in to comment